<?php

/**
 * ShopIt - Joomla Template
 *
 * @package bt_shopit
 * @version 1.1
 * @copyright BonusThemes.com 2008 - 2009
 * @link http://www.bonusthemes.com/goto/bt_shopit
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once(dirname(__FILE__) . '/template.inc.php');
global $tpl;

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

$tdgap = '<td width="1" class="pg_hsplit"><img src="' . $tpl->path . '/images/blank.gif" alt="" width="1" height="1" /></td>' . "\n";

if ($tpl->show_menu)
	$cmenu_js .= '
<script type="text/javascript">
// <![CDATA[
document["cmenu_items"] = new Array();
' . $tpl->menu_js . '
// ]]>
</script>

<link rel="prefetch" href="' . $tpl->path . '/images/layout/menu_hover_l.gif" />
<link rel="prefetch" href="' . $tpl->path . '/images/layout/menu_hover_r.gif" />

';

echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="' . $this->language . '" lang="' . $this->language . '" >
<head>

<jdoc:include type="head" />

<link href="' . $tpl->path . '/css/layout.css" rel="stylesheet" type="text/css" />
<link href="' . $tpl->path . '/css/template.css" rel="stylesheet" type="text/css" />
<link href="' . $tpl->path . '/css/virtuemart.css" rel="stylesheet" type="text/css" />
' . $cmenu_css . '

<!--[if lt IE 7]>
<script type="text/javascript">
var blankImg = "' . $tpl->path . '/images/blank.gif";
</script>
<style type="text/css">
.pngfix { behavior: url(' . $tpl->path . '/js/iepngfix.htc); }
.pngfix_static { behavior: url(' . $tpl->path . '/js/iepngfix_static.htc); }
</style>
<![endif]-->

' . $cmenu_js . '

<script type="text/javascript" src="' . $tpl->path . '/js/template.js"></script>

';

echo '</head>' . "\n";

echo '<body>' . "\n";

if ($tpl->seocp)
	echo
'<div style="display:none">
' . $tpl->get_mainbody_pragma() . '
</div>
';

echo '
<table id="wrapper" cellspacing="0" cellpadding="0" width="' . $tpl->width . '" align="center">
	<tr>
		<td id="pg_l" valign="top" width="3"><img src="' . $tpl->path . '/images/layout/pg_lt.gif" alt="" /></td>
		<td id="pg_c" valign="top">
			<div id="pg_t"></div>
			<div id="pg_r1">
				<table cellspacing="0" cellpadding="0" width="100%"><tr>
';

if ($tpl->modcount('toolbar')) {
	echo '
					<td valign="top"' . $tpl->td_width('toolbar', true) . '>
' . $tpl->get_position('toolbar', true) . '
					</td>
';

	if ($tpl->show_menu || $tpl->modcount('header'))
		echo '					' . $tdgap;
}

if ($tpl->show_menu) {
	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		$mi = &$tpl->menu_head_tags[$i];

		echo '
					<td class="cmenu_hd_norm_c gap" height="62">&nbsp;</td>
';

		printf('
					<td class="cmenu_hd_%1$s_l" width="12" height="62"></td>
					<td class="cmenu_hd_%1$s_c" height="62" valign="middle" id="%2$s">%3$s%4$s</td>
					<td class="cmenu_hd_%1$s_r" width="12" height="62"></td>
',
			$mi->selection == 0 ? 'norm' : 'sel',
			$mi->head_id,
			$mi->full_link,
			empty($mi->sub_menu_items) ? '' : ' <img src="' . $tpl->path . '/images/layout/menu_submenu.gif" alt="" />'
		);
	}

	echo '
					<td class="cmenu_hd_norm_c gap" height="62">&nbsp;</td>
';
}
else if ($tpl->modcount('header')) {
	echo '
					<td valign="top"' . $tpl->td_width('header', true) . '>
' . $tpl->get_position('header', true) . '
					</td>
';
}

echo '
				</tr></table>
			</div>
			<div class="pg_vsplit"></div>
			<div id="pg_r2">
' . $tpl->get_positions(array('icon', 'top', 'cpanel'), '', true, false, '', '<td width="1" class="pg_hsplit"><img src="' . $tpl->path . '/images/blank.gif" alt="" width="1" height="175" /></td>' . "\n") . '
			</div>
			<div id="pg_r3_up"></div>
			<div id="pg_r3">
' . $tpl->get_position('inset1', true) . '
			</div>
			<div class="pg_vsplit"></div>
';

if ($tpl->modcount('advert1') || $tpl->modcount('advert2') || $tpl->modcount('advert3') || $tpl->modcount('advert4'))
	echo $tpl->get_positions(array('advert1', 'advert2', 'advert3', 'advert4'), '', true, false, '', $tdgap) . '
			<div class="pg_vsplit"></div>
';

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '
			<table cellspacing="0" cellpadding="0" width="100%"><tr>
';

if ($tpl->modcount('left'))
	echo '
				<td valign="top"' . $tpl->td_width('left', true) . '>
' . $tpl->get_position('left', true) . '
				</td>
				' . $tdgap;

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '
				<td valign="top">
';

if ($tpl->modcount('breadcrumb'))
	echo '
					<div id="pathway">
						<a href="' . $tpl->get_home() . '" onfocus="blur()"><img id="pathway_home" src="' . $tpl->path . '/images/layout/home.gif" alt="Home" border="0" /></a>
						<span id="pathway_notice">' . $tpl->str('You are here:') . ' </span>
' . $tpl->get_pathway() . '
					</div>
					<div class="pg_vsplit"></div>
';

echo $tpl->get_positions(array('newsflash'), 'spacer1', false) . '
					<div id="spacer2"></div>
					<div class="inner_gap">
' . $tpl->get_message()
. $tpl->get_mainbody_wrapper() . '
					</div>
' . $tpl->get_positions(array('banner'), 'spacer3', false) . '
					<div id="spacer4"></div>
';

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '
				</td>
';

if ($tpl->modcount('right'))
	echo '
				' . $tdgap . '
				<td valign="top"' . $tpl->td_width('right', true) . '>
' . $tpl->get_position('right', true) . '
				</td>
';

if ($tpl->modcount('left') || $tpl->modcount('right'))
	echo '
			</tr></table>
';

if ($tpl->modcount('inset2'))
	echo '
			<div class="pg_vsplit"></div>
' . $tpl->get_position('inset2', true);

echo '
			<div class="gdiv"><div class="gdiv_left"><div class="gdiv_right"></div></div></div>
';

if ($tpl->modcount('inset3') || $tpl->modcount('bottom1') || $tpl->modcount('bottom2') || $tpl->modcount('bottom3')) {
	if ($tpl->modcount('inset3'))
		echo $tpl->get_position('inset3', true) . '
			<div class="pg_vsplit"></div>
';

	echo $tpl->get_positions(array('bottom1', 'bottom2', 'bottom3'), '', true, false, '', $tdgap);

	if (($tpl->modcount('bottom1') || $tpl->modcount('bottom2') || $tpl->modcount('bottom3')) && $tpl->modcount('inset4'))
		echo '
			<div class="pg_vsplit"></div>
';

	echo $tpl->get_position('inset4') . '
			<div class="gdiv"><div class="gdiv_left"><div class="gdiv_right"></div></div></div>
';
}

echo '
			<div id="footer_r1"></div>
';

if ($tpl->modcount('footer1') || $tpl->modcount('footer2') || $tpl->modcount('footer3') || $tpl->modcount('footer4'))
	echo '
			<div id="footer_r2_r3_outer"><div id="footer_r2_r3_inner">
' . $tpl->get_positions(array('footer1', 'footer2', 'footer3', 'footer4'), '', true, false, '', '<td width="1" class="footer_r3_hgap"><img src="' . $tpl->path . '/images/blank.gif" alt="" /></td>' . "\n") . '
				<div class="splitgap"></div>
			</div></div>
';

echo '
			<div id="footer_r4">
				<table cellspacing="0" cellpadding="0" width="100%"><tr>
';

if ($tpl->lshow)
	echo '
					<td width="50" height="36" align="center" valign="middle"><a id="lshow" href="http://www.bonusthemes.com" onfocus="blur()" target="_blank"><img src="' . $tpl->path . '/images/layout/btlogo.gif" alt="" border="0" /></a></td>
';

echo '
					<td id="td_legals" height="36" align="center" valign="top">
' . ($tpl->modcount('legals') ? $tpl->get_position('legals', true) : '&nbsp;') . '
					</td>
					<td width="50" height="36" align="center" valign="middle"><a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a></td>
				</tr></table>
			</div>
		</td>
		<td id="pg_r" valign="top" width="3"><img src="' . $tpl->path . '/images/layout/pg_rt.gif" alt="" /></td>
	</tr>
</table>
';

foreach (array('aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	echo $tpl->get_hidden_position($position);

echo $tpl->get_position('debug');

echo '
</body>
</html>

';

?>