<?php

/**
 * mod_vmrotmulti_topten
 *
 * @version 1.1
 * @author Creative Pulse
 * @copyright Creative Pulse 2008- Soeren Eberhardt 2004-2005 - Mr PHP 2000-2004
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link http://www.creativepulse.eu
 */

defined('_JEXEC') or die('Restricted access');

if (!empty($mod->items)) {

	$height_str = $mod->height > 0 ? ' style="height:' . $mod->height . 'px; overflow:hidden;"' : '';

	echo '	<div id="mod_vmrotmulti_topten_' . $mod->instance_id() . '" class="mod_vmrotmulti_topten"' . ($mod->width > 0 ? ' style="width:' . $mod->width . 'px;"' : '') . '>' . "\n";

	echo '		<div class="topgap"></div>' . "\n";

	echo '		<table cellpadding="0" cellspacing="0"><tr>' . "\n";
	echo '			<td width="1%" nowrap="nowrap"><div id="mod_vmrotmulti_topten_panel_prev_' . $mod->instance_id() . '"><button class="mod_vmrotmulti_btnprev" id="mod_vmrotmulti_topten_btnprev_' . $mod->instance_id() . '">&lt;</button></div></td>' . "\n";
	echo '			<td>' . "\n";

	echo '				<div id="mod_vmrotmulti_topten_panel_' . $mod->instance_id() . '" style="overflow:hidden;">&nbsp;</div>' . "\n";

	echo '				<table cellpadding="0" cellspacing="0" id="mod_vmrotmulti_topten_data_' . $mod->instance_id() . '" style="display:none">' . "\n";

	echo '					<tr>' . "\n";
	$i = 0;
	foreach ($mod->items as $item) {
		$i++;
		echo '						<td valign="top">' . "\n";
		echo '							<div class="mod_vmrotmulti_item" id="mod_vmrotmulti_topten_item_' . $mod->instance_id() . '_' . $i . '"' . $height_str . '>' . "\n";
		printf('								<a href="%s">%s</a>' . "\n", $item['link'], $item['name']);
		printf('								<br/><a href="%s">%s</a>' . "\n", $item['link'], $item['thumb']);

		if ($item['price'] != '')
			printf('								<br/>%s' . "\n", $item['price']);

		echo '							</div>' . "\n";
		echo '						</td>' . "\n";
	}
	echo '					</tr>' . "\n";

	echo '					<tr><td><div class="bottomgap"></div></td></tr>' . "\n";

	if ($mod->show_addtocart) {
		echo '					<tr>' . "\n";
		foreach ($mod->items as $item) {
			echo '						<td align="center" valign="middle" class="mod_vmrotmulti_linksback">' . "\n";
			echo '								<button class="mod_vmrotmulti_addtocart" onclick="window.location=\'' . $item['addtocart_link'] . '\'">Add to cart</button>' . "\n";
			echo '						</td>' . "\n";
		}
		echo '					</tr>' . "\n";
	}

	echo '				</table>' . "\n";

	echo '			</td>' . "\n";
	echo '			<td width="1%" nowrap="nowrap"><div id="mod_vmrotmulti_topten_panel_next_' . $mod->instance_id() . '"><button class="mod_vmrotmulti_btnnext" id="mod_vmrotmulti_topten_btnnext_' . $mod->instance_id() . '">&gt;</button></div></td>' . "\n";
	echo '		</tr></table>' . "\n";

	echo '	</div>' . "\n";

	if (!defined('MOD_VMROTMULTI_TOPTEN')) {
		define('MOD_VMROTMULTI_TOPTEN', 1);

		echo <<<EOF
<script type="text/javascript" src="modules/mod_vmrotmulti_topten/module.js"></script>
<script type="text/javascript">
// <![CDATA[
var cssfile = document.createElement('link');
cssfile.rel = 'stylesheet';
cssfile.type = 'text/css';
cssfile.href = 'modules/mod_vmrotmulti_topten/module.css';
document.getElementsByTagName('head')[0].appendChild(cssfile);
// ]]>
</script>

EOF;
	}

	echo <<<EOF
<script type="text/javascript">
// <![CDATA[
if (!document['mod_vmrotmulti_topten_conf'])
	document['mod_vmrotmulti_topten_conf'] = { }

document['mod_vmrotmulti_topten_conf']['inst_{$mod->instance_id()}'] = { width: {$mod->width}, interval: {$mod->interval}, speed: {$mod->speed}, visible_items: {$mod->visible_items}, autoscroll_interval: {$mod->autoscroll_interval} }
// ]]>
</script>

EOF;
}

?>